/* Hexwars - A Hexagonal Turn Based Strategy Game
 * Copyright (C) 2009-2011  Patrik Schönfeldt
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef PLAYERSWITCHMENU_HPP
#define PLAYERSWITCHMENU_HPP

#include "../../shared/gui/menu/Menu.hpp"
#include "../../shared/gui/engine/allegro/UI_Engine.hpp"

class PlayerSwitchMenu : public Menu{
public:
    PlayerSwitchMenu(UI_Menu* uim);
    ~PlayerSwitchMenu();
    void runItem(unsigned int);
    void setWinner(unsigned char);
private:
    unsigned int numofrounds;
    unsigned int p1d, p2d;
    unsigned char winner;
};

#endif // PLAYERSWITCHMENU_HPP
