/* Hexwars - A Hexagonal Turn Based Strategy Game
 * Copyright (C) 2009-2011  Patrik Schönfeldt
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#include "EditorMainMenu.hpp"

EditorMainMenu::EditorMainMenu(UI_Menu* uim){
    ui = uim;
    display = uim;
    item.push_back(new MenuItem("Menu", HEADLINE));
    item.push_back(new MenuItem("Save map", SELECTED));
    item.push_back(new MenuItem("Quit", ENABLED));
    selectItem(1);
}

EditorMainMenu::~EditorMainMenu(){
    item.clear();
}

void EditorMainMenu::runItem(unsigned int itemno){
    switch (itemno){
    case 1:
        currinput = SAVE;
        break;
    case 2:
        currinput = QUIT;
        break;
    default:
        break;
    }
}

