/* Hexwars - A Hexagonal Turn Based Strategy Game
 * Copyright (C) 2009-2011  Patrik Schönfeldt
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef __MENUITEM_TEST__
#define __MENUITEM_TEST__

#include <string>
#include <vector>
#include "MenuItem.hpp"


int main(int argc, char** argv){
    std::vector<MenuItem> mi;
    for (int i=0;i<10;i++){
        mi.push_back(MenuItem("Configuration", HEADLINE));
        mi.push_back(MenuItem("Fullscreen (on)", DISABLED));
        mi.push_back(MenuItem(std::string("Configuration"), ENABLED));
        mi.clear();
    }
    mi.clear();
    return 0;
}

#endif /* __MENUITEM_TEST__ */
